#ifndef _MY2CEGOSTMT_H_INCLUDED_
#define _MY2CEGOSTMT_H_INCLUDED_
///////////////////////////////////////////////////////////////////////////////
//                                                         
// My2CegoStmt.h  
// --------------
// My2Cego statement container class
//                                                        
// Design and Implementation by Bjoern Lemke
//
// (C)opyright 2010 Bjoern Lemke
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; see the file COPYING.  If not, write to
// the Free Software Foundation, 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.
//
// INTERFACE MODULE
//
// Class: My2CegoStmt
// 
// Description: 
//
// Status: XXX
//
///////////////////////////////////////////////////////////////////////////////

// base includes
#include "Chain.h"
#include "ListT.h"

// cego includes
#include "CegoException.h"
#include "CegoFieldValue.h"
#include "CegoProcVar.h"
#include "CegoProcBlock.h"


class My2CegoStmt  {
    
 public:
  
    enum StmtType { INSERT, CREATE, DROP }

    My2CegoStmt();
    ~My2CegoStmt();

    CegoFieldValue getValue(const Chain& param) const;
    void setValue(const Chain& param, const CegoFieldValue& fv);

    CegoProcBlock* getParentBlock();

 private:

    CegoProcBlock* _pBlock;
    bool _isDebug;
};

#endif
